tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jess Holle <je...@ptc.com>
Subject Re: Tomcat and Sun/Oracle Java 7
Date Mon, 04 Feb 2013 17:09:57 GMT
On 2/4/2013 9:32 AM, Williams, Nick wrote:
>> -----Original Message-----
>> From: Jess Holle [mailto:jessh@ptc.com]
>>
>> ...
>> It's that you can't make Java source code which /implements /JDBC interfaces and
make it compilable with both Java 6 and Java 7. The JDBC interfaces have new methods in Java
7 *and* some of these new methods use classes new to Java 7.
>> ...
> Just a quick correction. You CAN implement the JDBC interfaces so that they compile under
both Java 7 and Java 6, as long as you don't use the @Override annotation on the methods you
implement that were added in JDBC 4.1 (Java 7).
I stand corrected.  Perhaps it was with 1.5 and 1.6 where I tried and 
failed to do this.

At any rate, I no bother trying such things.  I have a version of such 
code to be compiled and used with 1.5, another for 1.6 and another for 1.7.

--
Jess Holle


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message